﻿// -----------------------------------------------------------------------
// <copyright file="MainWindow35.xaml.cs" company="">
//
// The MIT License (MIT)
// 
// Copyright (c) 2012 Christoph Gattnar
// 
// Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated
// documentation files (the "Software"), to deal in the Software without restriction, including without limitation the
// rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to
// permit persons to whom the Software is furnished to do so, subject to the following conditions:
// 
// The above copyright notice and this permission notice shall be included in all copies or substantial portions of
// the Software.
// 
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING
// BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
// NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY
// CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
// ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
// SOFTWARE.
//
// </copyright>
// -----------------------------------------------------------------------

using System.Windows;

namespace Gat.Controls.OpenDialog.TestApplication
{
	/// <summary>
	/// Interaction logic for MainWindow35.xaml
	/// </summary>
	public partial class MainWindow35 : Window
	{
		public MainWindow35()
		{
			InitializeComponent();
		}

		private void Button_Click_1(object sender, RoutedEventArgs e)
		{
			Microsoft.Win32.OpenFileDialog odlg = new Microsoft.Win32.OpenFileDialog();
			odlg.ShowDialog();

			Microsoft.Win32.SaveFileDialog sdlg = new Microsoft.Win32.SaveFileDialog();
			sdlg.ShowDialog();

			Gat.Controls.OpenDialogView35 openDialog = new Gat.Controls.OpenDialogView35();
			Gat.Controls.OpenDialogViewModel35 vm = (Gat.Controls.OpenDialogViewModel35)openDialog.DataContext;
			vm.AddFileFilterExtension(".txt");

			bool? result = vm.Show();
			if(result == true)
			{
				File.Text = vm.SelectedFilePath;
			}
			else
			{
				File.Text = string.Empty;
			}

			vm.DateFormat = Gat.Controls.OpenDialogViewModel35.ISO8601_DateFormat;
			vm.IsDirectoryChooser = true;
			vm.Show();

			vm.IsDirectoryChooser = false;
			vm.IsSaveDialog = true;
			vm.Show();

			vm.CancelText = "Abort";
			vm.Caption = "Caption";
			vm.DateFormat = "yy_MM_dd HH:mm:ss";
			vm.DateText = "DateTime";
			vm.FileFilterText = "File extension";
			vm.FileNameText = "File path";
			vm.NameText = "File";
			vm.SaveText = "Store";
			vm.SizeText = "Length";
			vm.TypeText = "File Type";

			vm.Owner = this;
			vm.StartupLocation = System.Windows.WindowStartupLocation.CenterScreen;

			vm.Show();
		}
	}
}
